## deepin-gettext-tools 1.0.8

=== Makefile ===
PREFIX = /usr

build:

install:
	mkdir -pv ${DESTDIR}${PREFIX}/lib/deepin-gettext-tools
	mkdir -pv ${DESTDIR}${PREFIX}/bin
	install -m755 src/generate_mo.py ${DESTDIR}${PREFIX}/lib/deepin-gettext-tools/
	install -m755 src/update_pot.py ${DESTDIR}${PREFIX}/lib/deepin-gettext-tools/
	ln -sf ${PREFIX}/lib/deepin-gettext-tools/generate_mo.py ${DESTDIR}${PREFIX}/bin/deepin-generate-mo
	ln -sf ${PREFIX}/lib/deepin-gettext-tools/update_pot.py ${DESTDIR}${PREFIX}/bin/deepin-update-pot
	install -m755 src/desktop_ts_convert.pl ${DESTDIR}${PREFIX}/bin/deepin-desktop-ts-convert
	install -m755 src/policy_ts_convert.py ${DESTDIR}${PREFIX}/bin/deepin-policy-ts-convert

## deepin-gettext-tools 1.0.6+git20170811

=== debian/changelog ===
deepin-gettext-tools (1.0.6+git20170811-1) unstable; urgency=medium

  * Initial Release. (Closes: #870380)

 -- Boyuan Yang <073plan@gmail.com>  Fri, 11 Aug 2017 09:36:34 +0800

=== debian/control ===
Source: deepin-gettext-tools
Section: devel
Priority: optional
Build-Depends:
 debhelper (>= 10),
Standards-Version: 4.0.0
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <073plan@gmail.com>,
Homepage: https://github.com/linuxdeepin/deepin-gettext-tools
Vcs-Git: https://anonscm.debian.org/git/pkg-deepin/deepin-gettext-tools.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-deepin/deepin-gettext-tools.git

Package: deepin-gettext-tools
Architecture: all
Depends:
 gettext,
 libconfig-tiny-perl,
 libxml-libxml-perl,
 perl,
 python,
 python3,
 ${misc:Depends},
Description: Deepin Internationalization utilities
 This package provides various tools used by Deepin software to extract
 translatable string and manage i18n works as a supplement to regular gettext
 tools.
 .
 This package is part of DDE (Deepin Desktop Environment).

## deepin-gettext-tools 1.0.8

=== debian/changelog ===
deepin-gettext-tools (1.0.8-5) unstable; urgency=medium

  * Clean-up rebuild after Ubuntu 20.04 LTS release.
  * debian/control:
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.5.0.
    + Use Rules-Requires-Root: no.

 -- Boyuan Yang <byang@debian.org>  Fri, 12 Jun 2020 21:15:43 -0400

deepin-gettext-tools (1.0.8-4) unstable; urgency=medium

  * Bump Standards-Version to 4.2.1 (no changes needed).
  * Update my uploader email address and use the @debian.org one.
  * Add a patch to prevent lintian E: wrong-path-for-interpreter.

 -- Boyuan Yang <byang@debian.org>  Wed, 29 Aug 2018 11:19:44 -0400

deepin-gettext-tools (1.0.8-3) unstable; urgency=medium

  * Revert maintainer address to pkg-deepin-devel@lists.alioth.debian.org.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 03 Jun 2018 17:41:12 +0800

deepin-gettext-tools (1.0.8-2) unstable; urgency=medium

  * Use team+pkg-deepin@tracker.debian.org in maintainer field.
  * d/rules: Add "dh_missing --fail-missing".
  * d/patches: Add patch to run all scripts with python3.
  * Bump Standards-Version to 4.1.4 (no changes needed).

 -- Boyuan Yang <073plan@gmail.com>  Wed, 18 Apr 2018 16:28:48 +0800

deepin-gettext-tools (1.0.8-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat to v11.
  * Bump Standards-Version to 4.1.3. (No changes required)
  * Use Salsa platform in Vcs fields.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 11 Mar 2018 21:33:25 +0800

deepin-gettext-tools (1.0.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.1. (No changes needed)

 -- Boyuan Yang <073plan@gmail.com>  Sat, 28 Oct 2017 10:32:30 +0800

=== debian/control ===
Source: deepin-gettext-tools
Section: devel
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/linuxdeepin/deepin-gettext-tools
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-gettext-tools.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-gettext-tools

Package: deepin-gettext-tools
Architecture: all
Depends:
 gettext,
 libconfig-tiny-perl,
 libxml-libxml-perl,
 perl,
 python3:any,
 ${misc:Depends},
Description: Deepin Internationalization utilities
 This package provides various tools used by Deepin software to extract
 translatable string and manage i18n works as a supplement to regular gettext
 tools.
 .
 This package is part of DDE (Deepin Desktop Environment).

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%deepin-gettext-tools-$1.tar.gz%" \
 https://github.com/linuxdeepin/deepin-gettext-tools/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## deepin-gettext-tools 1.0.10

=== debian/changelog ===
deepin-gettext-tools (1.0.10-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Boyuan Yang ]
  * Update standards version to 4.6.0, no changes needed.
  * New upstream release 1.0.10.

 -- Boyuan Yang <byang@debian.org>  Sat, 30 Apr 2022 20:01:00 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/linuxdeepin/deepin-gettext-tools
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-gettext-tools.git

## deepin-gettext-tools 1.0.11

=== debian/changelog ===
deepin-gettext-tools (1.0.11-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove unused license definitions for GPL-3.0-or-later.
  * Update standards version to 4.6.0, no changes needed.

  [ Boyuan Yang ]
  * New upstream release.
  * debian/copyright: Update license information.
  * debian/patches/0001: Dropped, merged upstream.

 -- Boyuan Yang <byang@debian.org>  Sat, 20 Apr 2024 10:56:02 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/linuxdeepin/deepin-gettext-tools
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-gettext-tools.git
